> For the complete documentation index, see [llms.txt](https://docs.relevant-digital.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.relevant-digital.com/technical/integration/javascript-api/relevantdigital.addamazonconfig.md).

# relevantDigital.addAmazonConfig()

Use `relevantDigital.addAmazonConfig()` to add settings for Amazon UAM or TAM. The library calls `apstag.init()` before the first auction that includes Amazon placements.

Your settings are merged into the configuration passed to `apstag.init()`.

{% hint style="warning" %}
Do not call `apstag.init()` directly. Direct initialization can cause unexpected behavior.
{% endhint %}

### When to call it

Call `relevantDigital.addAmazonConfig()` before the first [relevantDigital.loadPrebid()](/technical/integration/javascript-api/relevantdigital.loadprebid.md) call that includes Amazon placements.

Calls made later have no effect. They are safe, but do not update the existing Amazon configuration.

### Example

```
window.relevantDigital = window.relevantDigital || {};
relevantDigital.cmd = relevantDigital.cmd || [];
relevantDigital.cmd.push(function() {
   relevantDigital.addAmazonConfig({ // merge some amazon config
      params: { "SOME_KEY": "SOME_VALUE" },   
   });
   relevantDigital.loadPrebid({ ... }); // load some ads
})
```


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.relevant-digital.com/technical/integration/javascript-api/relevantdigital.addamazonconfig.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
